<div class="modal-header">
    <h3 class="modal-title">{{user.firstname}} {{user.name}}</h3>
</div>
<div class="modal-body">
    <form class="form">
         <div class="has-error" ng-if="error">
            <label class="control-label">{{error | translate}}</label>
        </div>
        <label>{{'MODAL_RIGHT_PROFILE' | translate}} : </label>
        <select ng-model="right.type" ng-options="p | translate for p in profiles" class="form-control" ng-change="showDates()"></select>
        <div class="row" ng-show="right.type == 'supervisor'">
            <br>
             <span class="col-sm-12">
                <label>{{'MODAL_RIGHT_ACCESS' | translate}} : </label>
             </span>
             <span class="col-sm-12 form-group">
                 <span class="col-sm-6">
                    <input type="checkbox" id="recording_access" ng-model="right.data.recordingAccess">
                    <label class="nostrong" for="recording_access">{{'MODAL_RIGHT_ACCESS_RECORDING' | translate}}</label>
                 </span>
                 <span class="col-sm-6">
                     <input type="checkbox" id="dissuasion_access" ng-model="right.data.dissuasionAccess">
                     <label class="nostrong" for="dissuasion_access">{{'MODAL_RIGHT_ACCESS_DISSUASION' | translate}}</label>
                 </span>
             </span>
        </div>
        <div class="row" ng-show="right.type == 'teacher'">
            <span class="col-sm-6 form-group">
                <label>Début : </label>
                <input type="text" class="form-control" uib-datepicker-popup="{{dateFormat}}" ng-model="startDate"
                   name="startDate" is-open="startDatePopup.opened" datepicker-options="startDateOptions" ng-required="true"
                   ng-model-options="{allowInvalid:false, timezone:'utc'}"
                   close-text="{{'CLOSE' | translate}}" ng-click="OpenStartDate()"
                   ng-change="ChangeEndDate(right.data.start)" placeholder="{{'MODAL_RIGHT_START_DATE' | translate}}" />
            </span>
            <span class="col-sm-6 form-group">
                <label>Fin : </label>
                <input type="text" class="form-control" uib-datepicker-popup="{{dateFormat}}" ng-model="endDate"
                   name="endDate" is-open="endDatePopup.opened" datepicker-options="endDateOptions" ng-required="true"
                   close-text="{{'CLOSE' | translate}}" ng-click="EndStartDate()"
                   placeholder="{{'MODAL_RIGHT_END_DATE' | translate}}" />
            </span>
        </div>
        <table ng-if="right.type != 'admin'" class="table">
            <thead>
                <tr>
                    <th><label>{{'MODAL_RIGHT_QUEUE' | translate}} : </label><input ng-model="searchQueue" placeholder="{{'FIND' | translate}}"></th>
                    <th><label>{{'MODAL_RIGHT_GROUP' | translate}} : </label><input ng-model="searchGroup" placeholder="{{'FIND' | translate}}"></th>
                    <th><label>{{'MODAL_RIGHT_SDA' | translate}} : </label><input ng-model="searchSda" placeholder="{{'FIND' | translate}}"></th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>
                        <nav>
                            <ul class="list-unstyled">
                                <li ng-repeat="q in queues|filter: searchQueue | orderBy: 'displayName'">
                                    <input type="checkbox" checklist-model="right.data.queueIds" checklist-value="q.id">{{q.displayName}}
                                </li>
                            </ul>
                        </nav>
                    </td>
                    <td>
                        <nav>
                            <ul class="list-unstyled">
                                <li ng-repeat="g in groups|filter: searchGroup | orderBy: 'name'">
                                    <input type="checkbox" checklist-model="right.data.groupIds" checklist-value="g.id">{{g.name}}
                                </li>
                            </ul>
                        </nav>
                    </td>
                    <td>
                        <nav>
                            <ul class="list-unstyled">
                                <li ng-repeat="sda in incalls|filter: searchSda | orderBy: 'number'">
                                    <input type="checkbox" checklist-model="right.data.incallIds" checklist-value="sda.id">{{sda.number}}
                                </li>
                            </ul>
                        </nav>
                    </td>
                </tr>
            </tbody>
        </table>
    </form>
</div>
<div class="modal-footer">
    <button class="btn btn-primary" ng-click="enregistrer()">{{'MODAL_CALLBACK_SAVE' | translate}}</button>
    <button class="btn btn-warning" ng-click="fermer()">{{'MODAL_CALLBACK_CANCEL' | translate}}</button>
</div>
